Name:		tree
Version:	2.2.1
Release:	%mkrel 1
Summary:	Utility which displays a tree view of directory contents
Group:		File tools
License:	GPLv2+
URL:		https://oldmanprogrammer.net/source.php?dir=projects/tree
Source0:	ftp://mama.indstate.edu/linux/tree/%{name}-%{version}.tgz

%description
The tree utility recursively displays the contents of directories in a
tree-like format.  Tree is basically a UNIX port of the tree DOS
utility.

Install tree if you think it would be useful to view the contents of
specified directories in a tree-like format.

%prep

%setup -q

%build
make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install \
	PREFIX=%{buildroot}%{_prefix} \
	DESTDIR=%{buildroot}%{_bindir} \
	MANDIR=%{buildroot}%{_mandir}

%files
%doc README CHANGES
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 2.2.1-1.mga10
+ Revision: 2120002
- new version: 2.2.1

* Thu Nov 21 2024 daviddavid <daviddavid> 2.1.3-1.mga10
+ Revision: 2117983
- new version: 2.1.3
+ danf <danf>
- Update links to https:

* Tue Mar 12 2024 daviddavid <daviddavid> 2.1.1-1.mga10
+ Revision: 2049478
- new version: 2.1.1

* Tue Jan 10 2023 daviddavid <daviddavid> 2.1.0-1.mga9
+ Revision: 1932040
- new version: 2.1.0

* Sat Oct 01 2022 neoclust <neoclust> 2.0.4-1.mga9
+ Revision: 1893711
- New version 2.0.4

* Tue Mar 15 2022 umeabot <umeabot> 1.8.0-3.mga9
+ Revision: 1792534
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.8.0-2.mga8
+ Revision: 1521982
- Mageia 8 Mass Rebuild

* Sun Jan 06 2019 sander85 <sander85> 1.8.0-1.mga7
+ Revision: 1350099
- New version: 1.8.0

* Sun Sep 23 2018 umeabot <umeabot> 1.7.0-5.mga7
+ Revision: 1301455
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.7.0-4.mga6
+ Revision: 947052
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 743451
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 689948
- Mageia 5 Mass Rebuild

* Tue Apr 29 2014 sander85 <sander85> 1.7.0-1.mga5
+ Revision: 618828
- New version: 1.7.0
+ blue_prawn <blue_prawn>
- simplify the install of the French man page
- install the French man page
- corrected article gender

* Tue Dec 10 2013 blue_prawn <blue_prawn> 1.6.0-4.mga4
+ Revision: 556223
- update the French man page and add a --filesfirst command line option

* Fri Oct 18 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 519738
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.6.0-2.mga3
+ Revision: 384787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 25 2011 tv <tv> 1.6.0-1.mga3
+ Revision: 135351
- drop obsolete patch 1
- new release
- new release

* Tue Feb 15 2011 mikala <mikala> 1.5.3-2.mga1
+ Revision: 51870
- Remove BuildRoot
- imported package tree


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.3-2mdv2011.0
+ Revision: 608042
- rebuild

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix warning
    - fix licence

* Tue Dec 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 479102
- update to new version 1.5.3

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5.2.2-2mdv2010.0
+ Revision: 427433
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1.1-3mdv2009.1
+ Revision: 317902
- use %%optflags and %%ldflags
- don't strip

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.5.1.1-2mdv2009.0
+ Revision: 225872
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 1.5.1.1-1mdv2008.1
+ Revision: 107372
- 1.5.1.1
- rename typo patch
- fix spelling in typo patch
- call %%{make}

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdv2008.0
+ Revision: 73448
- rebuild


* Fri Feb 02 2007 Lenny Cartier <lenny@mandriva.com> 1.5.1-1mdv2007.0
+ Revision: 115912
- Update to 1.5.1 and regenerate patch
- Import tree

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 1.5.0-2mdk
- rebuild

* Thu Nov 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.5.0-1mdk
- 1.5.0
- drop P1 (fixed upstream)

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4b3-3mdk
- fix gcc-3.4 build (P1)

* Tue Apr 20 2004 Michael Scherer <misc@mandrake.org> 1.4b3-2mdk 
- Birthday rebuild

